Subject: BLUE poppies! Was <How about artichokes in Zone 7?>

From: [email-masked] (Bob Kirk)
Date: 7 Mar 1995 23:29:36 -0600

>PS - Did anyone see this months Gardens Illustrated?  How 'bout them
>Himalayan Blue Poppies?  I found a local supplier for these seeds, but I
>have been told that they do not germinate very well.  Anyone know of any
>stock that I can get my hands on?  Are they hardy in Zone 5 (I am assuming
>they are)?

Denver Botanic Garden (per your mail address) may be able to provide
some answers. I seem to remember hearing that the blue Meconopsis grew
like weeds for [someone there whose name I don't remember] who lived up
at Evergreen.
    Anyway, check with the help desk, library or whatever at DBG.  The
short answer, though, is that down in Denver you probably can't keep 'em
alive for ten minutes - apparently the case for just about anyplace in the
USA, though it's never been known to keep people from trying.